{% extends 'form/base.html' %}

{% block content %}

{% load static %}

<body>

	<script type="text/javascript">

		function editCoursePopUp(id){
			if (typeof(id) != typeof(1)){
				alert("Error !");
				return false;
			}
			if (! window.focus) return true;
			var href = "/form/edit_course/"+id; //link 
			var win = window.open(href, "Edit Popup", 'width=600,height=300, left=250,scrollbars=yes');
			win.onload = function() {
				win.onbeforeunload = function(){
					location.reload(true); //will refresh page after popup close
				}
			}
			return false;
		}

		// function updateLevel(x, id){
		// 	$.post("/form/updateLevel", {
		// 		'csrfmiddlewaretoken' : '{{ csrf_token }}',
		// 		'to_do' : x,
		// 		'course_id' : id
		// 	}, function(data){
		// 		if (data.error == ""){
		// 			$("#course_name"+id).text(data.course);
		// 			Materialize.toast("Updated", 1000);
		// 		} else {
		// 			Materialize.toast(data.error, 1000);
		// 		}
		// 	}, "json").fail(function(){
		// 		Materialize.toast("Error Occured", 1000);
		// 	});
		// }

		function formatDate(date) {
			var monthNames = [
				"January", "February", "March",
				"April", "May", "June", "July",
				"August", "September", "October",
				"November", "December"
			];

			var day = date.getDate();
			var monthIndex = date.getMonth();
			var year = date.getFullYear();

			return monthNames[monthIndex] + ' ' + day + ', ' + year;
		}

		function addFee(){
			var $input = $('#fee_form :input');
			var args = {};

			$input.each(function(){
				args[this.name] = $(this).val();
			});
			$.post("/form/addFee", args, function(data){
				if (!data.error){
					var html = `
						<tr id="fee` + data[0].pk +`">
							<td>` + formatDate(new Date(data[0].fields.date)) + `</td>
							<td>Rs.` + data[0].fields.amount + `</td>
							<td>` + data[0].fields.remarks + `</td>
							<td><a href="#" onclick="deleteFee(` + data[0].pk + `); return false;"><img src="{% static 'img/delete.png' %}"></a></td>
						</tr>
					`;
					$("#fees").prepend(html);
					$("#add_fee_modal").modal('close');
					alert("Updated");
					$('#fee_form')[0].reset()
				} else {
					alert(data.error);
				}
			}, "json").fail(function(){
				alert("Unknown Error!");
			});
		}

		function addCourse(){
			var $inputs = $('#course_form :input');
			var args = {};

			$inputs.each(function(){
				args[this.name] = $(this).val();
			});
			args['csrfmiddlewaretoken'] = '{{ csrf_token }}';
			$.post("/form/addCourse/{{ student.pk }}", args, function(data){
				if (data.error){
					Materialize.toast(data.error, 1000);
				} else {
					$("#course_modal").modal('close');
					var html = `
						<li class="list-group-item" id="` + data[0].pk + `">
						  	<div class="row">
								<div class="col-xs-8">
									<span class="course_name">` + data[0].fields.course + `-` + data[0].fields.level + `</span>
								</div>
								<div class="col-xs-2">
									<a  href="edit_course.html" onclick="editCoursePopUp(` + data[0].pk + `); return false;"><img src="{% static "img/edit.png" %} " class="course_button"></a>
								</div>
								<div class="col-xs-2">
									<button class="course_buttons" onclick="deleteCourse(` + data[0].pk + `)"><img src="{% static "img/delete.png" %} " class="course_button"></button>
								</div>
							</div>	
						  </li>


					`;
					$("#courses").append(html);
					Materialize.toast("Update", 1000);
				}
			}, "json").fail(function(){
				Materialize.toast("Error Occured", 1000);
			});

		}

		function deleteCourse(course_id){
			if (confirm("Are you sure you want to delete?")){
				$.post("/form/deleteCourse", {
					'csrfmiddlewaretoken' : '{{ csrf_token }}',
					'course_id' : course_id
				}, function(data){
					if (data.error == ''){
						alert("Deleted!");
						var element = document.getElementById("course"+course_id);
						element.outerHTML = "";
						delete element;
					} else {
						alert(data.error);
					}
				}, "json").fail(function(){
					alert("Unknown Error");
				});
			}
		}

		function deleteFee(fee_id){
			if (confirm("Are you sure you want to delete?")){
				$.post("/form/deleteFee", {
					'csrfmiddlewaretoken' : '{{ csrf_token }}',
					'fee_id' : fee_id
				}, function(data){
					if (data.error == ''){
						alert("Deleted!");
						var element = document.getElementById("fee"+fee_id);
						element.outerHTML = "";
						delete element;
					} else {
						alert(data.error);
					}
				}, "json").fail(function(){
					alert("Unknown Error");
				});
			}
		}

	</script>
	
	{% include 'form/navigation.html' %}

	<main>
		<div class="row" style="margin: 20px;">

		<!--PERSONAL DETAILS-->
			<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
				<div class="row">
					<div class="col-xs-6">
						<h3>Personal Details</h3>
					</div>
					<div class="col-xs-6" style="padding-top: 10px;text-align: right;">
						<a href="/form/edit_student/{{ student.pk }}" class="btn btn-success">EDIT</a>
					</div>
				</div>

				<div class="row">
					<div class="col-xs-12">
						<ul class="list-group">
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">STUDENT ID:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.pk }}</span>
								</div>
							</div>	
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">STUDENT NAME:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.name|upper }}</span>
								</div>
							</div>	
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">GENDER:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.gender|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">CI:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.getCi }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">DATE OF ENROLLEMENT:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.doe|date:"d/m/Y" }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">DOB:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.dob|date:"d/m/Y" }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">CLASS:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.clas }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">SCHOOL NAME:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.school|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">ADHAAR NO.:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.adhaar }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">ADDRESS:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.address }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">FATHER'S NAME:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.father_name|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">FATHER'S OCCUPATION:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.occupation_father|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">FATHER'S MOBILE NO.:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.mobile_f }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">MOTHER'S NAME:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.mother_name|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">MOTHER'S OCCUPATION:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.occupation_mother|upper }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row2">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">MOTHER'S MOBILE NO.:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.mobile_m }}</span>
								</div>
							</div>
						  </li>
						  <li class="list-group-item row1">
						  	<div class="row">
								<div class="col-xs-6">
									<span class="info_header">ANNUAL INCOME:</span>
								</div>
								<div class="col-xs-6">
									<span class="info_value">{{ student.annual_income }}</span>
								</div>
							</div>
						  </li>
						</ul>
					</div>
				</div>
			</div>

			<!--course details-->
			<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">

				<div class="row">
					<div class="col-xs-6">
						<h3>Course Details</h3>
					</div>
					<div class="col-xs-6" style="padding-top: 10px;text-align: right;">
						<button type="button" class="btn btn-success" data-toggle="modal" data-target="#add_course">ADD COURSE</button>
					</div>
				</div>

				<!-- Modal -->
				  <div class="modal fade" id="add_course" role="dialog">
				    <div class="modal-dialog">
				    
				      <!-- Modal content-->
				      <form id="course_form" class="modal-content">
				      		{% for f in course_form.hidden_fields %}
								{{ f }}
							{% endfor%}
				        <div class="modal-header">
				          <button type="button" class="close" data-dismiss="modal">&times;</button>
				          <h4 class="modal-title">ADD COURSE</h4>
				        </div>
				        <div class="modal-body">
				          <div class="row" style="margin-top:20px">
				          {% for f in course_form.visible_fields %}

				          	<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
				          		<div class="form-group">
									{{ f }}
									<label for="{{ f.id_for_label }}">{{ f.label }}</label>
								</div>
				          	</div>

							{% endfor%}
						</div>
				        </div>
				        <div class="modal-footer">
				          <button onclick="addCourse()" class="btn btn-default" data-dismiss="modal">ADD</button>
				        </div>
				      </form>
				      
				    </div>
				  </div>
				<div class="row">
					<div class="col-xs-12">
						<ul class="list-group" id="courses">
							{% for course in courses %}
							  <li class="list-group-item" id="course{{ course.id }}">
							  	<div class="row">
									<div class="col-xs-8">
										<span class="course_name">{{ course|upper }}</span>
									</div>
									<div class="col-xs-2">
										<a  href="edit_course.html" onclick="editCoursePopUp({{ course.id }}); return false;"><img src="{% static "img/edit.png" %} " class="course_button"></a>
									</div>
									<div class="col-xs-2">
										<button class="course_buttons" onclick="deleteCourse({{ course.id }})"><img src="{% static "img/delete.png" %} " class="course_button"></button>
									</div>
								</div>	
							  </li>
						  	{% endfor %}
						  
						</ul>
					</div>
				</div>
			</div>

			<!--FEE DETAILS-->
			<div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
				<div class="row">
					<div class="col-xs-6">
						<h3>Fee Details</h3>
					</div>
					<div class="col-xs-3" style="padding-top: 10px;text-align: right;">
						<button type="button" class="btn btn-success" data-toggle="modal" data-target="#add_fee">ADD FEE</button>
					</div>
					<div class="col-xs-3" style="padding-top: 10px;text-align: right;">
						<button type="button" class="btn btn-success" data-toggle="modal" data-target="#view_all">VIEW ALL</button>
					</div>

				</div>

				<!-- Modal -->
				  <div class="modal fade" id="add_fee" role="dialog">
				    <div class="modal-dialog">
				    
				      <!-- Modal content-->
				      <div class="modal-content">
				        <div class="modal-header">
				          <button type="button" class="close" data-dismiss="modal">&times;</button>
				          <h4 class="modal-title">ADD FEE</h4>
				        </div>
				        <div class="modal-body">
				          <form id="fee_form" class="row" style="margin-top:20px">
							{% csrf_token %}
							{% for f in fee_form.hidden_fields %}
								{{ f }}
							{% endfor %}

							{% load form_extras %}

							{% for f in fee_form.visible_fields %}
								<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
									<div class="form-group">
										<label for="{{ f.id_for_label }}">{{ f.label }}</label>
										{{ f|addcss:"form-control" }}
									</div>
								</div>
							{% endfor %}

				        </div>
				        <div class="modal-footer">
				          <button type="button" class="btn btn-default" data-dismiss="modal" onclick="addFee()">ADD</button>
				        </div>
				      </div>
				      
				    </div>
				  </div>


				  <!-- Modal VIEW ALL-->
					<div id="view_all" class="modal fade" role="dialog">
					  <div class="modal-dialog">

					    <!-- Modal content-->
					    <div class="modal-content">
					      <div class="modal-header">
					        <button type="button" class="close" data-dismiss="modal">&times;</button>
					        <h4 class="modal-title">FEES</h4>
					      </div>
					      <div class="modal-body">
					       <div class="table-responsive">
							<table class="table table-condensed table-striped">
								 <thead>
							      <tr>
							        <th>DATE</th>
							        <th>AMOUNT</th>
							        <th>REMARKS</th>
							        <th>ACTIONS</th>
							      </tr>
							    </thead>
							    <tbody>
							      <tr>
							        <td>12/12/2015</td>
							        <td>5000</td>
							        <td>abc</td>
							        <td>xyz</td>
							      </tr>
							      <tr>
							        <td>12/12/2015</td>
							        <td>5000</td>
							        <td>abc</td>
							        <td>xyz</td>
							      </tr>
							      <tr>
							        <td>12/12/2015</td>
							        <td>5000</td>
							        <td>abc</td>
							        <td>xyz</td>
							      </tr>
							    </tbody>
							</table>
						   </div>
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
					      </div>
					    </div>

					  </div>
					</div>
				<div class="row">
					<div class="col-xs-12">
						<div class="table-responsive">
							<table class="table table-condensed table-striped">
								 <thead>
							      <tr>
							        <th>DATE</th>
							        <th>AMOUNT</th>
							        <th>REMARKS</th>
							        <th>ACTIONS</th>
							      </tr>
							    </thead>
							    <tbody id="fees">
							    {% for fee in fees %}
									<tr id="fee{{ fee.id }}">
										<td>{{ fee.date }}</td>
										<td>Rs.{{ fee.amount }}</td>
										<td>{{ fee.remarks }}</td>
										<td>
											<a href="#" onclick="deleteFee({{ fee.id }}); return false;"><img src="{% static 'img/delete.png' %}" class="course_button"></a>
										</td>
									</tr>
								{% endfor %}
							    </tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</main>
</body>

{% endblock %}